Loading...
Searching...
No Matches
caf::actor_config Class Reference

Stores spawn-time flags and groups. More...

`#include <actor_config.hpp>`

## Public Types

using | init_fun_type = detail::unique_function<behavior(local_actor*)>

## Public Member Functions

| actor_config (execution_unit *host=nullptr, local_actor *parent=nullptr)
actor_config & | add_flag (int x)

## Public Attributes

execution_unit * | host
local_actor * | parent
int | flags
input_range< const group > * | groups
detail::unique_function< behavior(local_actor *)> | init_fun

## Related Symbols

(Note that these are not member symbols.)
std::string | to_string (const actor_config &x)

## Detailed Description

Stores spawn-time flags and groups.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/actor_config.hpp